com.brightcove.player.edge

## Class OfflineCatalog

- java.lang.Object
- - com.brightcove.player.event.AbstractComponent
  - - com.brightcove.player.edge.Catalog
    - - com.brightcove.player.edge.AbstractOfflineCatalog
      - - com.brightcove.player.edge.OfflineCatalog

- All Implemented Interfaces:
    Component

      public class OfflineCatalog
      extends AbstractOfflineCatalog

  Offline catalog is an extension of the standard catalog class that is used to fetching videos in a playlist or the details of a specific video. The offline catalog provides additional API that can be used to manage offline playback licenses and offline media.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OfflineCatalog.Builder` The Builder to create the OfflineCatalog object.

    - ### Nested classes/interfaces inherited from class com.brightcove.player.edge.Catalog

      `Catalog.AbstractBuilder<T extends Catalog.AbstractBuilder<T>>`

  - ### Field Summary

    - ### Fields inherited from class com.brightcove.player.edge.Catalog

      `DEFAULT_EDGE_BASE_URL, DEFAULT_EPA_BASE_URL`

    - ### Fields inherited from class com.brightcove.player.event.AbstractComponent

      `eventEmitter, listenerTokens`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OfflineCatalog(android.content.Context context, EventEmitter eventEmitter, java.lang.String account)` Deprecated. Please use `OfflineCatalog.Builder` to create the Catalog.
    `OfflineCatalog(android.content.Context context, EventEmitter eventEmitter, java.lang.String account, java.lang.String policy)` Deprecated. Please use `OfflineCatalog.Builder` to create the Catalog.
    `OfflineCatalog(android.content.Context context, EventEmitter eventEmitter, java.lang.String account, java.lang.String policy, java.lang.String baseURL)` Deprecated. Please use `OfflineCatalog.Builder` to create the Catalog.
    `OfflineCatalog(android.content.Context context, EventEmitter eventEmitter, java.lang.String account, java.lang.String policy, java.lang.String baseURL, DownloadFileCreator downloadFileCreator)` Deprecated. Please use `OfflineCatalog.Builder` to create the Catalog.

  - ### Method Summary

    - ### Methods inherited from class com.brightcove.player.edge.AbstractOfflineCatalog

      `addDownloadEventListener, cancelVideoDownload, cancelVideoDownload, cancelVideoDownload, cancelVideoDownload, deleteVideo, deleteVideo, deleteVideo, deleteVideo, downloadVideo, downloadVideo, estimateSize, estimateSize, findAllQueuedVideoDownload, findAllQueuedVideoDownload, findAllVideoDownload, findAllVideoDownload, findOfflineVideoById, findOfflineVideoById, findOfflineVideoById, findOfflineVideoById, getDownloadPath, getMediaFormatTracksAvailable, getVideoDownloadStatus, getVideoDownloadStatus, getVideoDownloadStatus, getVideoDownloadStatus, isDownloadPathValid, isMeteredDownloadAllowed, isMobileDownloadAllowed, isRoamingDownloadAllowed, isVideoDownloadable, pauseVideoDownload, pauseVideoDownload, pauseVideoDownload, pauseVideoDownload, releaseLicense, removeDownloadEventListener, requestPurchaseLicense, requestPurchaseLicense, requestPurchaseLicense, requestRentalLicense, requestRentalLicense, requestRentalLicense, resumeVideoDownload, resumeVideoDownload, resumeVideoDownload, resumeVideoDownload, setDownloadPath, setDownloadPath, setMeteredDownloadAllowed, setMobileDownloadAllowed, setRoamingDownloadAllowed, setVideoBitrate, terminate`

    - ### Methods inherited from class com.brightcove.player.edge.Catalog

      `findPlaylistByID, findPlaylistByID, findPlaylistByID, findPlaylistByID, findPlaylistByReferenceID, findPlaylistByReferenceID, findPlaylistByReferenceID, findPlaylistByReferenceID, findVideoByID, findVideoByID, findVideoByID, findVideoByID, findVideoByReferenceID, findVideoByReferenceID, findVideoByReferenceID, findVideoByReferenceID, getProperties`

    - ### Methods inherited from class com.brightcove.player.event.AbstractComponent

      `addListener, addOnceListener, getEventEmitter, removeListener, removeListeners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OfflineCatalog

          @Deprecated
          public OfflineCatalog(android.content.Context context,
                                            EventEmitter eventEmitter,
                                            java.lang.String account)

      Deprecated. Please use `OfflineCatalog.Builder` to create the Catalog.

    - #### OfflineCatalog

          @Deprecated
          public OfflineCatalog(android.content.Context context,
                                            EventEmitter eventEmitter,
                                            java.lang.String account,
                                            java.lang.String policy)

      Deprecated. Please use `OfflineCatalog.Builder` to create the Catalog.

    - #### OfflineCatalog

          @Deprecated
          public OfflineCatalog(android.content.Context context,
                                            EventEmitter eventEmitter,
                                            java.lang.String account,
                                            java.lang.String policy,
                                            java.lang.String baseURL)

      Deprecated. Please use `OfflineCatalog.Builder` to create the Catalog.

    - #### OfflineCatalog

          @Deprecated
          public OfflineCatalog(android.content.Context context,
                                            EventEmitter eventEmitter,
                                            java.lang.String account,
                                            java.lang.String policy,
                                            java.lang.String baseURL,
                                            @NonNull
                                            DownloadFileCreator downloadFileCreator)

      Deprecated. Please use `OfflineCatalog.Builder` to create the Catalog.